Bug 88711 - [patch] bsd.port.mk - implement @dirrmtry
[patch] bsd.port.mk - implement @dirrmtry
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Edwin Groothuis
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 09:50 UTC by edwin
Modified: 2006-01-22 21:51 UTC (History)
0 users

See Also:


Attachments
file.diff (550 bytes, patch)
2005-11-09 09:50 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2005-11-09 09:50:16 UTC
One of the things I can't cope is that the syntax of the pkg-plist
doesn't allow for a @dirrm which is allowed to fail. At this moment
the work-around is a "@unexec rmdir %D/foo 2>/dev/null || true",
which is hardly elegant nor a syntax which is worth being proud of
(but it works...)

Earlier suggestions with regarding to this complaint is that it
requires a set of tools to be rewritten to support it (pkg_delete
for example, which is in the base system and thus hard to upgrade).

My proposal is add the syntax already to the pkg-plist files, but
to convert it silently in bsd.port.mk to the old way. This way the
new syntax can be added the pkg-plist files, the new syntax can be
rolled out in the toolset when 7-CURRENT, 6.2-RELEASE, 5.6-RELEASE
and 4.13 (or when 4.x becomes unsupported) have been released and
then this patch can be undone in the bsd.port.mk file.

How-To-Repeat: 
    [~/cvs/ports/sysutils/newportsversioncheck] edwin@k7>tail -2 pkg-plist 
    @dirrm newportsversioncheck/etc
    @dirrmtry newportsversioncheck

    [~/cvs/ports/sysutils/newportsversioncheck] edwin@k7>make generate-plist

    [~/cvs/ports/sysutils/newportsversioncheck] edwin@k7>tail -2 work/.PLIST.mktmp 
    @dirrm newportsversioncheck/etc
    @unexec rmdir %D/newportsversioncheck 2>/dev/null || true
Comment 1 Edwin Groothuis freebsd_committer 2005-11-09 10:52:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to maintainers
Comment 2 Mark Linimon freebsd_committer 2005-12-19 04:05:17 UTC
State Changed
From-To: open->analyzed

A patch based on this is being testing on the cluster.
Comment 3 Mark Linimon freebsd_committer 2006-01-21 19:54:49 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.
Comment 4 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
State Changed
From-To: closed->open

over to myself for documentation and implementation 


Comment 5 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
Responsible Changed
From-To: portmgr->edwin

over to myself for documentation and implementation
Comment 6 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
State Changed
From-To: closed->open

over to myself for documentation and implementation 


Comment 7 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
Responsible Changed
From-To: portmgr->edwin

Over to myself for documentation and implementation
Comment 8 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
State Changed
From-To: closed->open

Over to myself for documentation and implementation 


Comment 9 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
Responsible Changed
From-To: portmgr->edwin

Over to myself for documentation and implementation
Comment 10 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
State Changed
From-To: closed->open

Over to myself for documentation and implementation 


Comment 11 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
Responsible Changed
From-To: portmgr->edwin

Over to myself for documentation and implementation
Comment 12 Edwin Groothuis freebsd_committer 2006-01-22 21:51:03 UTC
State Changed
From-To: open->closed

Documentaed and executed.